@import "../../../shared/scss/color.scss";

.box {
  background-color: white;
  border: 1px solid #dddddd;
  box-shadow: 1px 1px 4px #dddddd;
  border-radius: 7px;
  .title {
    width: 100%;
    border-bottom: 1px solid #dddddd;
    div {
      width: 90%;
      margin: 0 auto;
    }
    p {
      font-size: 14px;
      font-weight: bold;
      text-align: right;
      color: #555555;
      margin: 0 auto;
      padding: 20px 0;
      display: inline-block;
      width: 85%;
      &:last-child {
        width: 15%;
        text-align: left;
        a {
          cursor: pointer;
          display: flex;
          justify-content: flex-start;
          transition: 0.3s all ease-in-out;
          &:hover {
            color: #888888;
          }
          span {
            font-size: 12px;
            font-weight: bold;
            padding: 7px 0 0 10px;
          }
          fa-icon {
            font-size: 16px;
            padding-bottom: 0;
            padding-top: 6px;
          }
        }
      }
    }
  }
  .form {
    padding: 15px 0;
    ::placeholder {
      text-align: right !important;
      direction: rtl !important;
      font-size: 11px;
      color: #999999;
      font-weight: bold;
      padding-right: 2px;
    }
    .name,
    .year-telegram,
    .address,
    .about-union,
    .slogan {
      position: relative;
      width: 90%;
      margin: 0 auto;
      padding: 7px 0;
      label {
        width: 100%;
        text-align: right;
        font-size: 12px;
        font-weight: bold;
        color: $description-color;
        padding: 6px 0;
        display: block;
        transition: 0.3s all;
      }
      input {
        display: block;
        width: 100%;
        border: 1px solid #bbbbbb;
        color: $description-color;
        font-size: 12px;
        font-weight: bold;
        height: 40px;
        border-radius: 7px;
        // background-image: url("../../../assets/images/icon\ png/user.png");
        background-repeat: no-repeat;
        background-size: 26px;
        padding: 7px 38px 7px 5px;
        background-position: 98% 50%;
        transition: 1s all;
        &:focus {
          outline: none;
          box-shadow: none;
        }
      }
    }

    .name {
      input {
        background-image: url("../../../../assets/images/icon\ png/union.png");
        background-size: 20px;
        padding-right: 30px;
        background-position: 98% 50%;
      }
    }

    .year-telegram {
      div {
        width: 50%;
        display: inline-block;
        padding-left: 6px;
        input::-webkit-outer-spin-button,
        input::-webkit-inner-spin-button {
          -webkit-appearance: none;
          margin: 0;
        }
        /* Firefox */
        input[type="number"] {
          -moz-appearance: textfield;
        }
        input {
          background-image: url("../../../../assets/images/icon\ png/year.png");
          background-size: 20px;
          padding-right: 30px;
          background-position: 96% 50%;
        }
        &:last-child {
          padding-left: 0;
          padding-right: 6px;
          input {
            background-image: url("../../../../assets/images/icon\ png/telegram1.png");
            background-size: 19px;
            padding-right: 30px;
            background-position: 96% 50%;
          }
        }
      }
    }

    .address {
      input {
        background-image: url("../../../../assets/images/icon\ png/address.png");
        background-size: 18px;
        padding-right: 30px;
        background-position: 98% 50%;
      }
    }

    .about-union {
      input {
        background-image: url("../../../../assets/images/icon\ png/about.png");
        background-size: 18px;
        padding-right: 30px;
        background-position: 98% 50%;
      }
    }
    .slogan {
      input {
        background-image: url("../../../../assets/images/icon\ png/slogan.png");
        background-size: 19px;
        padding-right: 30px;
        background-position: 98% 50%;
      }
    }

    .select {
      width: 90%;
      margin: 0 auto;
      padding: 7px 0;
      div {
        position: relative;
        width: 33.33%;
        display: inline-block;
        padding-left: 6px;
        &:last-child {
          padding-left: 0;
        }

        input {
          background-image: url("../../../../assets/images/angle_down.png");
          background-position: 3% 50%;
          background-size: 12px;
          background-repeat: no-repeat;
          display: block;
          width: 100%;
          border: 1px solid #bbbbbb;
          color: $description-color;
          font-size: 10px;
          font-weight: bold;
          height: 40px;
          border-radius: 7px;
          transition: 1s all;
          padding: 4px 7px 4px 15px;
          &:focus {
            box-shadow: none;
            outline: none;
          }
        }

        .dropdown {
          list-style-type: none;
          padding: 0;
          margin: 0;
          overflow: hidden;
          max-height: 0;
          position: absolute;
          top: 40px;
          right: 0;
          background-color: white;
          z-index: 999;
          width: 95%;
          box-shadow: 1px 1px 4px #cccccc;
          transition: 0.2s ease-in-out;
          border-radius: 7px;
          &::-webkit-scrollbar {
            width: 8px;
          }

          &::-webkit-scrollbar-track {
            box-shadow: inset 0 0 6px rgba(0, 0, 0, 0);
          }

          &::-webkit-scrollbar-thumb {
            background-color: #aaaaaa;
            border-radius: 40px;
            background-clip: content-box;
          }
          li {
            padding: 10px 7px;
            font-size: 12px;
            font-weight: bold;
            color: $description-color;
            cursor: pointer;
            &:hover {
              background-color: #dddddd;
            }
          }
        }
        &:last-child {
          .dropdown {
            width: 100%;
          }
        }
      }
    }

    .images {
      .images-box {
        width: 90%;
        margin: 7px auto;
        display: flex;
        .cover-img {
          width: 70%;
          height: 100%;
          padding-left: 3px;
          cursor: pointer;
          .img-title {
            font-size: 10px;
            font-weight: bold;
            color: $description-color;
            padding-bottom: 7px;
          }
          .img {
            height: 100px;
            margin: 0 auto;
            border-radius: 7px;
            background-image: url("../../../../assets/images/placeholder.png");
            background-size: 50px 50px;
            background-repeat: no-repeat;
            background-position: 50% 50%;
            border: 1px solid #bbbbbb;
            img {
              border-radius: 7px;
              width: 100%;
              height: 100px;
              object-fit: cover;
              box-shadow: 1px 1px 4px #bbbbbb;
            }
          }
        }
        .profile-img {
          width: 30%;
          height: 100%;
          padding-right: 3px;
          cursor: pointer;
          .img-title {
            font-size: 10px;
            font-weight: bold;
            color: $description-color;
            padding-bottom: 7px;
          }
          .img {
            height: 100px;
            margin: 0 auto;
            border-radius: 7px;
            background-image: url("../../../../assets/images/placeholder.png");
            background-size: 50px 50px;
            background-repeat: no-repeat;
            background-position: 50% 50%;
            border: 1px solid #bbbbbb;
            img {
              border-radius: 7px;
              width: 100%;
              height: 100px;
              object-fit: cover;
              box-shadow: 1px 1px 4px #bbbbbb;
            }
          }
        }
      }
      .image-error {
        display: block;
        width: 90%;
        margin: 7px auto 7px auto;
        padding: 7px;
        background-color: $background-color;
        color: red;
        font-size: 12px;
        font-weight: bold;
        border-radius: 7px;
      }
    }

    .login-btn {
      width: 90%;
      margin: 0 auto;
      padding: 7px 0;
      button {
        background-color: $aqua-color;
        display: flex;
        width: 100%;
        padding: 5px 20px;
        text-align: center;
        cursor: pointer;
        border-radius: 7px;
        height: 40px;
        font-size: 13px;
        font-weight: 600;
        transition: 0.4s all;
        transform: scale(1);
        background-color: -internal-light-dark-color($aqua-color, $aqua-color);
        border-style: none;
        box-shadow: 1px 1px 7px #aaaaaa;
        &:hover {
          transform: scale(1.07);
        }
        fa-icon {
          padding-top: 5px;
          margin: 0 auto;
          color: white;
          width: 10%;
          font-size: 18px;
          text-align: left;
        }
        span {
          padding-top: 6px;
          text-align: right;
          margin: 0 auto;
          color: white;
          width: 90%;
        }
        &:disabled {
          cursor: not-allowed;
          opacity: 0.6;
        }
      }
    }
    .errors {
      width: 90%;
      margin: 0 auto;
      color: red;
      font-size: 12px;
      font-weight: bold;
      background-color: $background-color;
      padding: 4px;
      border-radius: 7px;
      div {
        padding: 4px 0;
      }
    }
  }
}

.show-dropdown {
  display: block !important;
  max-height: 250px !important;
  overflow: auto !important;
}
